#
# spec file for package gnucash (Version 1.6.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  Guppi audiofile bonobo bonobo-devel control-center control-center-devel esound esound-devel gal gal-devel gdk-pixbuf gdk-pixbuf-devel gettext glade glib glib-devel gnome-applets gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel gtkhtml gtkhtml-devel guile gxmhtml imlib imlib-devel indent libghttp libghttp-devel libglade libglade-devel libgpp libgtop libgtop-devel libjpeg libpng libtiff libungif libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt python python-gtk scheme swig xf86 xpm
# usedforbuild    Guppi aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gal gal-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glade glib glib-devel glibc glibc-devel gnome-applets gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel gtkhtml gtkhtml-devel guile gxmhtml gzip imlib imlib-devel indent kbd less libghttp libghttp-devel libglade libglade-devel libgpp libgtop libgtop-devel libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps python python-gtk rcs readline rpm scheme sendmail sh-utils shadow strace swig syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnucash
%define prefix	/opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Applications
Autoreqprov:  on
Requires:     scheme guile python
Summary:      Personal finance manager
Version:      1.6.2
Release:      77
Source0:      http://www.linas.org/pub/gnucash/gnucash/sources/stable/gnucash-%{version}.tar.bz2
Source1:      http://www.linas.org/pub/gnucash/g-wrap/source/g-wrap-1.1.10.tar.bz2
Patch1:	      g-wrap-1.1.10.dif
BuildRoot:    /var/tmp/gnucash-%{version}-build
URL:	      http://www.gnome.org

%description
GnuCash is a personal finance manager.  A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income, and even currency exchanges.  The interface is
designed to be simple and easy to use, but is backed with double-entry
accounting principles to ensure balanced books.

Authors:
--------
    Linas Vepstas <linas@linas.org>
    Robin Clark <rclark@cs.hmc.edu>
    gnucash-devel@gnucash.org

SuSE series: xap

%prep
%setup -q -n gnucash-%{version} -b 1
cd ../g-wrap-*
%patch1

%build
cd ../g-wrap-*
%{suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%prefix --sysconfdir=%sysconfdir
make
# make -C g-wrapped clean all
make DESTDIR=$RPM_BUILD_ROOT install
cp -af $RPM_BUILD_ROOT%{prefix}/* %{prefix}
cd ../gnucash-*
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%prefix \
	    --sysconfdir=%sysconfdir
make -s 

%install
make -s DESTDIR=$RPM_BUILD_ROOT install
# rm $RPM_BUILD_ROOT%{prefix}/bin/g-wrap-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%doc %{prefix}/info/*
%{sysconfdir}/gnucash/config
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/man/man1/*
%{prefix}/share/gnome/apps/Applications/gnucash.desktop
%{prefix}/share/gnome/help/gnucash
%{prefix}/share/gnucash
%{prefix}/share/guile/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*

%changelog -n gnucash
* Sat Sep 15 2001 - schwab@suse.de
- Add Requires: python.
* Sat Sep 15 2001 - schwab@suse.de
- Fix missing declarations.
- Add %%suse_update_config.
* Wed Sep 12 2001 - hhetter@suse.de
- revert to g-wrap version 1.1.10, get gnucash
  to work with guile 1.4
- filelist review
- test on i386
* Fri Aug 17 2001 - egger@suse.de
- Added fix for hardcoded CFLAGS in g-wrap.
* Fri Aug 17 2001 - egger@suse.de
- Added fix for libtool bustage in g-wrap update to 1.1.11.
* Mon Aug 13 2001 - hhetter@suse.de
- update to 1.6.2
* Sun Jul 29 2001 - egger@suse.de
- Updated g-wrap to version 1.1.11.
* Wed Jul 25 2001 - sf@suse.de
- removed '-Werror' from Makefile.am in test/ to compile also
  with gcc > 2.95
* Thu Jul 19 2001 - hhetter@suse.de
- added #requires python phyton-gtk
* Sun Jul 08 2001 - egger@suse.de
- Updated to version 1.6.1.
- Added mising stuff to the filelist.
* Thu Jul 05 2001 - uli@suse.de
- added gal-devel to neededforbuild
* Thu Jun 21 2001 - ro@suse.de
- updated filelist
- cleaned specfile a bit
* Mon Jun 18 2001 - hhetter@suse.de
- gnucash : update to 1.6.0
- g-wrap : update to 1.1.10
- added additional requirements
- functionality test in current buildsystem
- filelist review
* Tue May 01 2001 - egger@suse.de
- Updated to version 1.4.12. Again just bugfixes.
* Mon Apr 02 2001 - egger@suse.de
- Updated to version 1.4.11. Pure bugfix release.
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Fri Mar 02 2001 - egger@suse.de
- Minor corrections to the specfile.
* Tue Feb 20 2001 - egger@suse.de
- removed imlib-config from neededforbuild.
- Updated gnucash to version 1.4.10.
- Updated g-wrap to version 1.4.12.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Dec 21 2000 - egger@suse.de
- Updated gnucash to 1.4.9.
- Updated g-wrap to 0.9.8.
- Bugfix releases.
- Recompressed with bzip2.
* Sun Dec 10 2000 - schwab@suse.de
- Add %%suse_update_config.
* Mon Nov 06 2000 - randall@suse.de
-  Removed these two commands.  The guile package will preform these
  actions:
  ln -sf /usr/lib/scheme/slib /usr/share/guile/1.4/slib
  guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
* Thu Nov 02 2000 - randall@suse.de
- Changed to long file names, also for distro SuSE 7.1a
* Tue Oct 31 2000 - randall@suse.de
- Initial Release
